%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Output
Version:       1.02_01
Release:       1mamba
Summary:       Test::Output - Utilities to test STDOUT and STDERR messages.
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Output-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-Sub-Exporter
## AUTOBUILDREQ-END
BuildRequires: perl-Params-Util
BuildRequires: perl-Capture-Tiny
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Test::Output provides a simple interface for testing output sent to STDOUT or STDERR. A number of different utilies are included to try and be as flexible as possible to the tester.
Originally this module was designed not to have external requirements, however, the features provided by Sub::Exporter over what Exporter provides is just to great to pass up.
Test::Output ties STDOUT and STDERR using Test::Output::Tie.

%prep
%setup -q -n Test-Output-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Dec 24 2013 Automatic Build System <autodist@mambasoft.it> 1.02_01-1mamba
- automatic update by autodist

* Sat Jul 13 2013 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 1.01_03-1mamba
- automatic version update by autodist

* Sun Nov 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.01-1mamba
- update to 1.01

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.10-1mamba
- package created by autospec
